跳至內容

FLUX1.1 [pro] ultra

整合

模型 id flux-pro/v1.1-ultra
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/flux-pro/v1.1-ultra?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此請求: $0.06 60 API 點數 在此頁面執行

取得 API 金鑰
Black Forest Labs 文字轉圖像 #high-res#realism

依長寬比生成更高解析度影像,範圍為 21:9 到 9:21,支援 raw 模式與可選的影像提示詞

Black Forest Labs · 圖像

您的第一個結果會顯示在這裡

在下方建立請求,並使用您的 API 金鑰執行。輸出會複製到我們的儲存空間,可永久保留或免費保留 7 天。

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

•必填

引導圖像生成的提示詞。

aspect_ratio 預設 16:9

結果圖像的長寬比。

num_images 預設 1

請求生成的圖像數量。

進階 image · output_format · safety_tolerance · image_prompt_strength · seed · enhance_prompt · raw
image_url
拖放檔案,或

圖像生成的來源圖像 URL。

output_format 預設 jpeg

生成圖像的檔案格式。

safety_tolerance 預設 2

生成圖像的安全性設定,容許度範圍從 5 的最高寬鬆度到 1 的最高嚴格度。

預設 0.1

圖像提示詞強度,範圍為 0 至 1。

可重現圖像的種子:模型版本不變時,相同的提示詞與種子會產生相同圖像。

POST /run/flux-pro/v1.1-ultra?wait=20 報價 → $0.06
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/flux-pro/v1.1-ultra?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 FLUX1.1 [pro] ultra

根據 `prompt` 產生影像,並透過 `aspect_ratio` 選擇形狀,範圍為 21:9 到 9:21,預設為 16:9。`raw` 選項會產生加工較少、外觀更自然的結果。可選的 `image_url` 會引導輸出,其權重由 0 到 1 之間的 `image_prompt_strength` 設定。會以 jpeg 或 png 產生 1 到 4 張影像。

參數

請傳送標準名稱或原生名稱其中之一,不要同時傳送兩者。 標準名稱

名稱類型 預設值允許值 說明
prompt必填
類型string
引導圖像生成的提示詞。
seed選填
類型integer | null
可重現圖像的種子:模型版本不變時,相同的提示詞與種子會產生相同圖像。
num_images選填 num_outputs
類型integer
預設值1
1 – 4
請求生成的圖像數量。
output_format選填
類型enum
預設值jpeg
jpegpng
生成圖像的檔案格式。
safety_tolerance選填
類型enum
預設值2
123456
生成圖像的安全性設定,容許度範圍從 5 的最高寬鬆度到 1 的最高嚴格度。
enhance_prompt選填
類型boolean
預設值false
控制提示詞增強以改善結果。
image_url選填 image
類型url · image
圖像生成的來源圖像 URL。
image_prompt_strength選填
類型number
預設值0.1
0 – 1
圖像提示詞強度,範圍為 0 至 1。
aspect_ratio選填
類型enum
預設值16:9
21:916:94:33:21:12:33:49:169:21
結果圖像的長寬比。
raw選填
類型boolean
預設值false
產生外觀更自然、處理痕跡更少的圖像。
必填 標準名稱,也可使用

檔案參數接受公開的 https:// URL、最大 10 MB 的 data: URI,或上傳檔案的 file_url。 檔案

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "flux-pro/v1.1-ultra",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 60,
    "usd": "0.06",
    "charged": 60,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "width": 1024,
        "height": 768,
        "content_type": "image/jpeg"
      }
    ],
    "timings": {},
    "seed": 42,
    "has_nsfw_concepts": [
      false
    ],
    "prompt": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
images
array of object {url, width, height, content_type}生成圖像的檔案資訊。
timings
object
seed
integer圖像生成種子;若輸入未提供種子,則包含隨機選取的值,否則會重複提供的值。
has_nsfw_concepts
array of boolean指出生成的圖像中是否出現 NSFW 概念。
prompt
string圖像生成期間使用的提示詞。

更多模型:文字轉圖像

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/flux-pro/v1.1-ultra.md. 所有模型與指南: https://doitong.com/developers/llms.txt